module Accounted
  extend ActiveSupport::Concern

  included do
    validates :account, presence: true
    scope :by_account, ->(account) { where("#{self.table_name}.account_id = ?", account.id) }
    belongs_to :account
  end

end