class Node < ActiveRecord::Base
  # has_secure_password

  BEFORE_IP = 0
  ADDRESS = 1
  START_AMOUNT_T = 2
  START_AMOUNT_Z = 3
  RPC_USER = 4
  RPC_PASS = 5
  ALLOW_IP = 6
  PROXMOX_ID = 7
  AFTER_DOMAIN = 8
  AFTER_IP = 9
  STATE = 10
  LINKED_PROXMOX_ID = 11
  GATEWAY = 12
  NETMASK = 13
  IPV6 = 14


  def self.sync_node(from, to)
    session = GoogleDrive::Session.from_service_account_key("client_secret.json")
    spreadsheet ||= session.spreadsheet_by_title("znode-instal-stats")
    @worksheet = spreadsheet.worksheets.first

    @worksheet.rows.each_with_index do |row, index|

      if index >= from.to_i && index <= to.to_i
        Node.create(name: row[AFTER_DOMAIN], domain: row[AFTER_DOMAIN], ipv4: row[AFTER_IP], ipv6: row[IPV6], start_balance_t: row[START_AMOUNT_T],
            start_balance_z: row[START_AMOUNT_Z],  node_username: row[RPC_USER], node_password: row[RPC_PASS])
      end
    end
  end
end

